%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  BrainCon
%global packver   0.3.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.3.0
Release:          1%{?dist}%{?buildtag}
Summary:          Inference the Partial Correlations Based on Time Series Data

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-CRAN-glmnet 
BuildRequires:    R-CRAN-MASS 
Requires:         R-CRAN-glmnet 
Requires:         R-CRAN-MASS 

%description
A statistical tool to inference the multi-level partial correlations based
on multi-subject time series data, especially for brain functional
connectivity. It combines both individual and population level inference
by using the methods of Qiu and Zhou. (2021)<DOI:
10.1080/01621459.2021.1917417> and Genovese and Wasserman. (2006)<DOI:
10.1198/016214506000000339>. It realizes two reliable estimation methods
of partial correlation coefficients, using scaled lasso and lasso. It can
be used to estimate individual- or population-level partial correlations,
identify nonzero ones, and find out unequal partial correlation
coefficients between two populations.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
